// Learn cc.Class:
//  - https://docs.cocos.com/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {

    },

    start() {
        const audioName = '東方幻華楽~初-廃獄行進曲';
        const audioNode = cc.find(`AudioNode/${audioName}`);
        const audioSourceComponent = audioNode.getComponent(cc.AudioSource);
        cc.audioEngine.play(audioSourceComponent.clip);
    },
});
